Subject: Re: [GSoC] Git projects for Google Summer of Code 2008 final evaluation

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 15 Sep 2008 07:08:11 -0700

Johannes Schindelin <[email-masked]> wrote:
> On Mon, 15 Sep 2008, Jakub Narebski wrote:
> > On Thu, 4 Sep 2008, Jakub Narebski wrote:
> > 
> > > Mentors, could you tell us your side about how it was working as a 
> > > mentor for Google Summer of Code? Perhaps some tricks of trade?
> > 
> > By the way, I have found via LWN that Perl has written nice summary of 
> > theirs Google Summer of Code projects[1].  Among other they very much 
> > praise that students did blogging about their progress:
...
> > What do you think about it (for example about doing it in a future
> > if our informal Git Development Community would participate in next
> > Google Summer of Code programs)?
> 
> I think that it is better to require frequent interaction on the mailing 
> list, or at least on IRC.

I agree with Dscho completely.  We are an email based community.
Students should be involved by email, not by blogs.  If we were
the Ruby community (which near as I can tell is blog based) then
blogging might make more sense.  We're not.  We're an offshoot of
the Linux community, which is very much email-centric.

> Blogging is nice for those who want to follow the progress of a project, 
> but do not want to get involved.  In this case, it is even better than 
> having the people discuss the issues of the project openly, as reading a 
> blog does not require constant monitoring like the list does.
> 
> However, blogging costs time.

Exactly.  Email also costs time, but typically we don't see
traffic on the list that is just broadcasting something pointless.
In general people only start a topic if there is going to be
worthwhile discussion attached to it, and often that results in a
useful patch being applied at some point in the future.  IOW that
time for email is just necessary in the course of development,
so it isn't wasted.

If the community of semi-interested people really wants blogs to
read, RSS scrape a news feed like Gmane.  Ohloh already has an
RSS feed defined around the emails sent to git ML with the subject
"[ANNOUNCE]".

I however prefer email, and dislike blogging, so I'll continue
to use the git ML in the future, and so will any student I mentor
in any potential future GSoC program.  FWIW I blogged here at new
day-job on company internal blog for about a half day before I gave
up and said "damn, that really is stupid".

-- 
Shawn.